package com.steerinfo.ems.foldthevalues.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(value="折标系数值表")
public class FoldTheValues implements IBasePO<String> {
    /**
     * ID(ID,VARCHAR,100)
     */
    @ApiModelProperty(value="ID",required=true)
    private String id;

    @ApiModelProperty(value="物料来源",required=false)
    private String materialsource;

    /**
     * 版本(CLOCK,VARCHAR,30)
     */
    @ApiModelProperty(value="版本",required=false)
    private String clock;

    /**
     * 折标值(CODE,VARCHAR,60)
     */
    @ApiModelProperty(value="折标值",required=false)
    private String code;

    /**
     * 描述(DESCRIPTION,VARCHAR,500)
     */
    @ApiModelProperty(value="描述",required=false)
    private String description;

    /**
     * 是否可用(ISAVAILABLE,VARCHAR,10)
     */
    @ApiModelProperty(value="是否可用",required=false)
    private String isavailable;

    /**
     * 修改者(REVISOR,VARCHAR,30)
     */
    @ApiModelProperty(value="修改者",required=false)
    private String revisor;

    /**
     * 修改时间(REVISETIME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private String revisetime;

    /**
     * 单位(UNITID,VARCHAR,20)
     */
    @ApiModelProperty(value="单位",required=false)
    private String unitid;
    /**
     * 物料编码
     */
     @ApiModelProperty(value="物料编码",required=false)
     private String materialno;

    public String getMaterialno() {
        return materialno;
    }

    public void setMaterialno(String materialno) {
        this.materialno = materialno;
    }

    /**
     * 备注(BZ,VARCHAR,255)
     */
    @ApiModelProperty(value="备注",required=false)
    private String bz;

    private  String  estimatedvalue;
    private   String  timegranid;
    private String startTime;
    private String endTime;

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getEstimatedvalue() {
        return estimatedvalue;
    }

    public void setEstimatedvalue(String estimatedvalue) {
        this.estimatedvalue = estimatedvalue;
    }

    public String getTimegranid() {
        return timegranid;
    }

    public void setTimegranid(String timegranid) {
        this.timegranid = timegranid;
    }

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getMaterialsource() {
        return materialsource;
    }

    public void setMaterialsource(String materialsource) {
        this.materialsource = materialsource == null ? null : materialsource.trim();
    }

    public String getClock() {
        return clock;
    }

    public void setClock(String clock) {
        this.clock = clock == null ? null : clock.trim();
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code == null ? null : code.trim();
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    public String getIsavailable() {
        return isavailable;
    }

    public void setIsavailable(String isavailable) {
        this.isavailable = isavailable == null ? null : isavailable.trim();
    }

    public String getRevisor() {
        return revisor;
    }

    public void setRevisor(String revisor) {
        this.revisor = revisor == null ? null : revisor.trim();
    }

    public String getRevisetime() {
        return revisetime;
    }

    public void setRevisetime(String revisetime) {
        this.revisetime = revisetime == null ? null : revisetime.trim();
    }

    public String getUnitid() {
        return unitid;
    }

    public void setUnitid(String unitid) {
        this.unitid = unitid == null ? null : unitid.trim();
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz == null ? null : bz.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", materialsource=").append(materialsource);
        sb.append(", clock=").append(clock);
        sb.append(", code=").append(code);
        sb.append(", description=").append(description);
        sb.append(", isavailable=").append(isavailable);
        sb.append(", revisor=").append(revisor);
        sb.append(", revisetime=").append(revisetime);
        sb.append(", unitid=").append(unitid);
        sb.append(", bz=").append(bz);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}